.omni {
    background: linear-gradient(to top,
        rgb(9, 9, 10) 0%,
        rgb(13, 13, 15) 100%
    );
    overflow: hidden;
    position: fixed;
    top: 0;
    width: 100vw;
    height: calc(100vh);
}

@keyframes starTwinkle0 {
    0% {
        opacity: 0.5;
    }
    50% {
        opacity: 1;
    }
    100% {
        opacity: 0.5;
    }
}

@keyframes starTwinkle1 {
    0% {
        filter: hue-rotate(0);
    }
    50% {
        filter: hue-rotate(25deg);
    }
    100% {
        filter: hue-rotate(0);
    }
}

@keyframes starTwinkle2 {
    0% {
        filter: hue-rotate(0);
    }
    50% {
        filter: hue-rotate(-25deg);
    }
    100% {
        filter: hue-rotate(0);
    }
}

@keyframes starhue {
    0% {
        filter: blur(0.05rem) hue-rotate(0);
    }
    100% {
        filter: blur(0.05rem) hue-rotate(90deg);
    }
}

.stars {
    filter: blur(0.5rem);
    animation-name: starhue;
    animation-duration: 8s;
    animation-direction: alternate;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

.star {
    position: absolute;
    animation-duration: 1s;
    animation-timing-function: ease-in-out;
    animation-direction: alternate;
}

#contact-me {
    z-index: 152;
    position: absolute;
    bottom: 0;
    left: 0;
    margin: 8px;
}

#social-links {
    z-index: 150;
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 38px;
    bottom: 0;
    width: 100vw;
    height: 128px;
    backdrop-filter: blur(0.3rem) contrast(0.98);
}

.social-btn {
    user-select: none;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 64px;
    height: 64px;
    border-radius: 12px;
    transition: all 0.2s ease-out;
    box-shadow: 0 2px 0.5rem black;
}

.btn-roblox {
    background-color: #305dff;
}

.btn-bandcamp {
    background-color: #629aa9;
}

.btn-x {
    background-color: black;
}

.btn-twitter {
    display: none;
    background-color: #1d9bf0;
}

.btn-youtube {
    background-color: #fe0032;
}

.btn-discord {
    background-color: #5865f2;
}

.social-btn:hover {
    filter: brightness(1.3);
    width: 74px;
    height: 72px;
}

.social-btn > svg {
    user-select: inherit;
    fill: white;
    width: 48px;
}

@media screen and (max-width: 540px) {
    #social-links {
        gap: 24px;
    }
    .social-btn {
        width: 48px;
        height: 48px;
    }
    .social-btn > svg {
        width: 34px;
    }
    .social-btn:hover {
        width: 54px;
        height: 52px;
    }
}